<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <meta name="token" value="{{ csrf_token() }}">
    <title>阿拉德之怒</title>
    <script>
        function reSizeRem() {
            var ClientWidth = document.documentElement.clientWidth > 540 ? 540 : document.documentElement.clientWidth,
                UiWidth = 1080,
                FontSize = ClientWidth / UiWidth * 100;
            document.documentElement.style.fontSize = FontSize + 'px';
        }
        reSizeRem();
        window.onresize = function () {
            reSizeRem();
        }
    </script>
    <link rel="stylesheet" href="{{ asset('postcard/css/style.css') }}">
    <script src="{{ asset('js/jquery.2.1.3.min.js') }}"></script>
    <script src="{{ asset('postcard/js/main.js') }}"></script>
</head>
<body>
<div class="container home-container">
    <div class="header-avatar">
        <span></span>
        <img src="{{ asset('postcard/images/default_img.png') }}" alt="">
    </div>
    <a href="javascript:" class="btn-start"></a>

    <div class="dialog dialog-server hide">
        <div class="content">
            <a href="javascript:" class="close"></a>
            <ul>
                <li>
                    <select name="" id="serve" class="server-select">
                    </select>
                </li>
                <li>
                    <select name="" id="role" class="role-select">
                    </select>
                </li>
            </ul>
            <a href="javascript:" class="btn-card-bind-role"></a>
        </div>
    </div>
</div>
<script type="text/javascript" src="//res.wx.qq.com/open/js/jweixin-1.2.0.js"></script>
<script>
    $(function(){
        $('.close').click(function (){
            $('.dialog').fadeOut();
        });
        $('.btn-start').click(function (){
            card.handleGetServer();
        });
        var isWeixin = function () {
            //判断是否是微信
            var ua = navigator.userAgent.toLowerCase();
            return ua.match(/MicroMessenger/i) == "micromessenger";
        };
        function _wechatConfig(o) {

            wx.config({
                debug: false, // 开启调试模式,调用的所有api的返回值会在客户端alert出来，若要查看传入的参数，可以在pc端打开，参数信息会通过log打出，仅在pc端时才会打印。
                appId: o.appId, // 必填，公众号的唯一标识
                timestamp: o.timestamp, // 必填，生成签名的时间戳
                nonceStr: o.nonceStr, // 必填，生成签名的随机串
                signature: o.signature,// 必填，签名，见附录1
                jsApiList: ['onMenuShareTimeline', 'onMenuShareAppMessage'] // 必填，需要使用的JS接口列表，所有JS接口列表见附录2
            });
        }

        function _getWechatJsSdkInfo(callback) {
            $.ajax({
                type:"GET",
                url:"/wx/config",
                data:{
                    url:location.href
                },
                async:false,
                success:function(data){
                    callback(data);
                }
            });
        }

        if (isWeixin()) {
            _getWechatJsSdkInfo(_wechatConfig);
        }

        wx.checkJsApi({
            jsApiList: ['onMenuShareTimeline', 'onMenuShareAppMessage'],
            success: function (res) {
            }
        });

        function wx_share(title, link, imgurl, desc) {
            //朋友圈
            wx.onMenuShareTimeline({
                title: title, // 分享标题
                link: link, // 分享链接
                imgUrl: imgurl, // 分享图标
                success: function() {
                    // 用户确认分享后执行的回调函数
                },
                cancel: function() {
                    // 用户取消分享后执行的回调函数
                }
            });
            //微信好友
            wx.onMenuShareAppMessage({
                title: title, // 分享标题
                desc: desc, // 分享描述
                link: link, // 分享链接
                imgUrl: imgurl, // 分享图标
                type: 'link', // 分享类型,music、video或link，不填默认为link
                dataUrl: '', // 如果type是music或video，则要提供数据链接，默认为空
                success: function() {
                    // 用户确认分享后执行的回调函数
                },
                cancel: function() {
                    // 用户取消分享后执行的回调函数
                }
            });
        }

        function random(min, max) {
            return Math.floor(Math.random() * (max - min)) + min;
        }
        wx.ready(function () {
            var  title = '阿拉德之怒',
                link = 'http://uc-signin2.srccwl.com',
                img  = "https://static-platform.srccwl.com/ucSign/ald/sign/images/wx.png",
                desc = "Warning！阿拉德之怒";
            wx_share(title,link,img,desc);
        });

        wx.error(function (res) {
            // config信息验证失败会执行error函数，如签名过期导致验证失败，具体错误信息可以打开config的debug模式查看，也可以在返回的res参数中查看，对于SPA可以在这里更新签名。
            //alert('error');
        });
    });
</script>
</body>
</html>